package Foomatic::Defaults;

use vars qw(@EXPORT $libdir $bindir $cachedir $sysdeps);

require Exporter;
@ISA = qw/Exporter/;
@EXPORT = qw($libdir $bindir $cachedir $sysdeps);


# Library directory; typically /usr/share/foomatic or somesuch.
$libdir = '/usr/share/foomatic';

# Binary directory; typically /usr/bin or somesuch.
$bindir = '/usr/bin';

# Directory for the generated files
$cachedir = '/var/cache/foomatic';

# System configuration list
$sysdeps = {
	'foo-etc'    => '/etc/foomatic',
	'lpdomatic'  => '/usr/sbin/lpdomatic',
	'lpd-dir'    => '/var/spool/lpd',
	'lpd-log'    => '/var/log/lp-errs',
	'lpd-bin'    => '/usr/sbin/lpd',
	'lpd-pcap'   => '/etc/printcap',
	'lprng-conf' => '/etc/lpd.conf',
        'lpd-lpr'    => '/usr/bin/lpr-lpd',
        'lpd-lpq'    => '/usr/bin/lpq-lpd',
        'lpd-lprm'   => '/usr/bin/lprm-lpd',
        'lpd-lpc'    => '/usr/sbin/lpc-lpd',
	'lprng-checkpc' => '/usr/sbin/checkpc',
	'cupsomatic' => '/usr/lib/cups/filter/cupsomatic',
	'cups-etc'   => '/etc/cups',
	'cups-admin' => '/usr/sbin/lpadmin',
	'cups-lpstat' => '/usr/bin/lpstat-cups',
	'cups-ppds'  => '/usr/share/cups/model',
	'cups-filters' => '/usr/lib/cups/filter',
	'cups-pconf' => '/etc/cups/printers.conf',
        'cups-lpr'   => '/usr/bin/lpr-cups',
        'cups-lpq'   => '/usr/bin/lpq-cups',
        'cups-lprm'  => '/usr/bin/lprm-cups',
        'cups-lpc'   => '/usr/sbin/lpc-cups',
        'cups-lp'    => '/usr/bin/lp-cups',
        'cups-cancel' => '/usr/bin/cancel-cups',
        'cups-enable' => '/usr/bin/enable',
        'cups-disable' => '/usr/bin/disable',
        'cups-accept' => '/usr/sbin/accept',
        'cups-reject' => '/usr/sbin/reject',
        'cups-lpmove' => '/usr/sbin/lpmove',
        'cups-lpoptions' => '/usr/bin/lpoptions',
	'pdq-conf'   => '/usr/lib/pdq',
	'pdq-printrc' => '/etc/pdq/printrc',
	'pdq-foomatic' => '/usr/lib/pdq/drivers/foomatic',
	'pdq-print'  => '/usr/bin/pdq',
	'pdq-jobdir' => '~/.printjobs',
	'nc' => '/usr/bin/nc',
	'rlpr' => '/usr/bin/rlpr',
	'smbclient' => '/usr/bin/smbclient',
	'nprint' => '/usr/bin/nprint'
};

